appStory6/urls.py
from django.conf.urls import url
from django.urls import path
from . import views

app_name = 'appStory6'

urlpatterns = [
	path('', views.landingPage, name="form"),
	path('profile', views.profile, name="profile"),
	path('addstatus', views.coba, name="addstatus"),
	
	# path('delete',views.delete,name='delete')
	# # path('delete/(?P<part_id>[0-9]+)/$', views.function, name='delete_view'),
	# path('<int:delete>/', views.delete, name='delete'),
	 ]

story6/urls.py
from django.contrib import admin
from django.urls import path, include

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('appStory6.urls')),

]

appStory6/models.py
from django.db import models
from django.utils import timezone
from django import forms



# Create your models here.
class Status(models.Model):
	message = models.CharField(max_length = 300)
	created_at = models.DateTimeField(auto_now_add=True,  null=True, blank=True)


appStory6/forms.py
from django import forms
from .models import Status

class StatusForm(forms.Form):
   status = forms.CharField(label = "YUK ISI YUK")

appStory6/views.py
from django.shortcuts import render, redirect
from django.http import HttpResponse, HttpResponseRedirect
from .forms import StatusForm
from .models import Status


def landingPage(request):
  form = StatusForm()
  response = {}
  status = Status.objects.all()
  response['form'] = form
  response['status'] = status
  return render(request, 'form.html', response)

def coba(request):
  form = StatusForm(request.POST or None)
  if (request.method == 'POST' and form.is_valid()):
      status = request.POST.get('status')
      Status.objects.create(message=status)
      print(status)
      return HttpResponseRedirect('/')
  else:
      return HttpResponseRedirect('/')        
    
def profile(request):
    response = {}
    return render(request, 'landingpage.html', response)

# def delete(request, pk):
#   Status.objects.get(message=Status).delete()
#   response = {}
#   return HttpResponseRedirect('/') 



appStory6/templates/form.html

<html>
<head>
	{% load crispy_forms_tags %}
	<title>How are you?</title>
	<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
	<style type="text/css">
		body{background-image: linear-gradient(to bottom, #3bdcf1, #8ddec3, #c7dab1, #e6d6bf, #e7dbd8);}
		.container{width: 100%}
		.col-sm-12 h1{text-align: center; font-size: 80px; color: #000066; font-family: rum raisin}
		.col-sm-12 h4{text-align: left; padding: 20px; padding-left: 0px}

		.registerbtn {
		    background-color: #051937;
		    color: white;
		    padding: 10px;
		    margin: 8px 0;
		    border-radius: 4px;
		    border-color: #051937;
		    cursor: pointer;
		    width: 8%;
		    opacity: 0.9;
			}

		.btn {
		    background-color: DodgerBlue;
		    border: none;
		    color: white;
		    padding: 12px 16px;
		    font-size: 16px;
		    cursor: pointer;
		}

/*.registerbtn:hover {
    opacity: 1;
    box-shadow: 0 12px 16px 0 rgba(0,0,0,0.24), 0 17px 50px 0 rgba(0,0,0,0.19);
    margin: auto;
}*/
</style>
</head>

<body>
	{% block content %}
	<div class="container">
		<div class="col-sm-12" style="margin-top: 10%; margin-bottom: 7%;">
			<h1>Hello, Apa Kabar?</h1>
		</div>
		<div class="col-sm-12" style="padding-left: 50px; padding-right: 45px;">
			<div class="form-group">
				<form id="form" method="POST" action="{% url 'appStory6:addstatus' %}">
					{% csrf_token %}
					{{ form|crispy }}
		    	<button id='submit' type="submit" class="registerbtn" value="submit">Submit</button>
				</form>
			</div>
				<a href="{% url 'appStory6:profile' %}" class="btn btn-primary btn-lg active" role="button" aria-pressed="true">See My Profile</a>
			
		</div>
		<hr style="margin-top: 10%; margin-bottom: 5%;">
		<div class="col-sm-12" style="padding: 10px;">
		
			<h4><b>STATUS<b></h4>
			{% if status %}
			{% for event in status %}
 			<div class="alert alert-dark" role="alert"> <div>

 			<!-- <button class="btn"><i class="fa fa-trash"  href="{% url:'delete'  event.pk % }"></i></button>
 			<a href = "{% url 'appStory6:delete_new'}" class="btn btn-danger btn-sm" role="button">delete</a> -->
 			

 		
   				{{ event.message }} <br>
  				</div>
  				<div style="font-size: 12px;">
   				{{ event.created_at }}
   			</div>
  			</div>
  			{% endfor %}
  			{% else %}
                <h5>No schedule</h5> 
                {% endif %}
			</div>

	 <br>
	</div>
	</div>


	<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
	<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js" integrity="sha384-ZMP7rVo3mIykV+2+9J3UJ46jBk0WLaUAdn689aCwoqbBJiSnjAK/l8WvCWPIPm49" crossorigin="anonymous"></script>
	<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js" integrity="sha384-ChfqqxuZUCnJSK3+MXmPNIyE6ZbWh2IMqE241rYiqJxyMiZ6OW/JmZQ5stwEULTy" crossorigin="anonymous"></script>
	{% endblock %}
</body>
</html>

appStory6/templates/landingpage.html
<!DOCTYPE html>
<html>
<head>
    
    <title>profile</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
    <style type="text/css">
        body{background-image: linear-gradient(to bottom, #3bdcf1, #63d6ff, #98cdff, #c6c3ff, #e8baee);}
        .container{width: 100%}
        .row{padding: 10px;}
        .col-sm-12 h1,h3{ color: #000066; }
        .img{ display: block; margin: auto; }
        .col-8 h3{margin-left: 10%; font-family: Chau Philomene One; font-size: 30px}
    </style>
</head>

<body>
    <div class="container">
        <div class="row">
            <div class="col-sm-12" style="margin-top: 20%;">
                <h1><b>MY PROFILE<b></h1>
                <hr>
            </div>
        </div>
        <div class="row" >
            <div class="col-4" style="padding:20px;">
                <a href="https://imgur.com/Ib3KF6f"><img src="https://i.imgur.com/Ib3KF6f.jpg" title="source: imgur.com" style="width:200px;height:250px;" /></a>
            </div>
            <div class="col-8" style="padding:10px; margin-top: 5%;">
                <h3>
                    Nama: Siti Nurfitriyah <br>
                    TTL: 12 November 1998<br>
                    Harapan: dimudakan dalam mengerjakan soal ppw :) <br>
                </h3>
            </div>
        </div>
        <div class="link" style="margin-bottom: 10%;">
            <a href="{% url 'appStory6:form' %}" class="btn btn-primary btn-lg active" role="button" aria-pressed="true">Back to Home</a>
        </div>
        </div>
        </div>
    </div>


    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js" integrity="sha384-ZMP7rVo3mIykV+2+9J3UJ46jBk0WLaUAdn689aCwoqbBJiSnjAK/l8WvCWPIPm49" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js" integrity="sha384-ChfqqxuZUCnJSK3+MXmPNIyE6ZbWh2IMqE241rYiqJxyMiZ6OW/JmZQ5stwEULTy" crossorigin="anonymous"></script>
</body>
</html>